;-| Button Remapping |-----------------------------------------------------
[Remap]
a = a	;弱攻撃
b = b	;強攻撃
c = c	;ジャンプ
x = x	;ガード
y = y	;
z = z	;魔法攻撃
s = s	;

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery_old";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "fwd"
command = F
time = 1

[Command]
name = "back"
command = B
time = 1

[Command]
name = "up"
command = U
time = 1

[Command]
name = "down"
command = D
time = 1

[Command]
name = "recovery"
command = a
time = 1

[Command]
name = "recovery"
command = b
time = 1

[Command]
name = "recovery"
command = c
time = 1

[Command]
name = "recovery"
command = z
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;===========================================================================

[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;弱攻撃（地上）
[State -1, A]
type = ChangeState
value = 1000
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "a"
trigger1 = Ctrl

;---------------------------------------------------------------------------
;弱攻撃（空中）
[State -1, A(Air)]
type = ChangeState
value = 1050
triggerall = Var(59) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "a"
trigger1 = Ctrl

;---------------------------------------------------------------------------
;強攻撃（地上）
[State -1, A]
type = ChangeState
value = 1100
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command != "holdup" && Command != "holddown" && Command != "holdfwd"
trigger1 = Ctrl
trigger2 = StateNo = 1000 && AnimElemTime(4) > 0
trigger3 = StateNo = 1001 && AnimElemTime(4) > 0
trigger4 = StateNo = 1010 && AnimElemTime(8) > 0
trigger5 = StateNo = 1011 && AnimElemTime(5) > 0
trigger6 = StateNo = 1012 && AnimElemTime(5) > 0

;---------------------------------------------------------------------------
;強攻撃（空中）
[State -1, B(Air)]
type = ChangeState
value = 1150
triggerall = Var(59) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command != "holdup" && Command != "holddown" && Command != "holdfwd"
trigger1 = Ctrl
trigger2 = StateNo = 1050 && AnimElemTime(4) > 0
trigger3 = StateNo = 1051 && AnimElemTime(4) > 0
trigger4 = StateNo = 1060 && AnimElemTime(8) > 0
trigger5 = StateNo = 1061 && AnimElemTime(5) > 0
trigger6 = StateNo = 1062 && AnimElemTime(5) > 0

;---------------------------------------------------------------------------
;下強攻撃（地上）
[State -1, 2B]
type = ChangeState
value = 1300
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command = "holddown"
trigger1 = Ctrl
trigger2 = StateNo = 1000 && AnimElemTime(4) > 0
trigger3 = StateNo = 1001 && AnimElemTime(4) > 0
trigger4 = StateNo = 1010 && AnimElemTime(8) > 0
trigger5 = StateNo = 1011 && AnimElemTime(5) > 0
trigger6 = StateNo = 1012 && AnimElemTime(5) > 0
trigger7 = StateNo = 1100 && AnimElemTime(11) > 0

;---------------------------------------------------------------------------
;下強攻撃（空中）
[State -1, 2B(Air)]
type = ChangeState
value = 1200
triggerall = Var(59) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command = "holddown"
trigger1 = Ctrl
trigger2 = StateNo = 1050 && AnimElemTime(4) > 0
trigger3 = StateNo = 1051 && AnimElemTime(4) > 0
trigger4 = StateNo = 1060 && AnimElemTime(8) > 0
trigger5 = StateNo = 1061 && AnimElemTime(5) > 0
trigger6 = StateNo = 1062 && AnimElemTime(5) > 0
trigger7 = StateNo = 1150 && AnimElemTime(11) > 0

;---------------------------------------------------------------------------
;上強攻撃（地上）
[State -1, 8B]
type = ChangeState
value = 1500
triggerall = Var(59) = 0
triggerall = Var(51) = 1
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command = "holdup"
trigger1 = Ctrl
trigger2 = StateNo = 1000 && AnimElemTime(4) > 0
trigger3 = StateNo = 1001 && AnimElemTime(4) > 0
trigger4 = StateNo = 1010 && AnimElemTime(8) > 0
trigger5 = StateNo = 1011 && AnimElemTime(5) > 0
trigger6 = StateNo = 1012 && AnimElemTime(5) > 0
trigger7 = StateNo = 1100 && AnimElemTime(11) > 0

;---------------------------------------------------------------------------
;上強攻撃（地上）
[State -1, 8B]
type = ChangeState
value = 1500
triggerall = Var(59) = 0
triggerall = Var(51) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "y"
trigger1 = Ctrl
trigger2 = StateNo = 1000 && AnimElemTime(4) > 0
trigger3 = StateNo = 1001 && AnimElemTime(4) > 0
trigger4 = StateNo = 1010 && AnimElemTime(8) > 0
trigger5 = StateNo = 1011 && AnimElemTime(5) > 0
trigger6 = StateNo = 1012 && AnimElemTime(5) > 0
trigger7 = StateNo = 1100 && AnimElemTime(11) > 0

;---------------------------------------------------------------------------
;上強攻撃（空中）
[State -1, 8B(Air)]
type = ChangeState
value = 1550
triggerall = Var(59) = 0
triggerall = Var(51) = 1
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command = "holdup"
trigger1 = Ctrl
trigger2 = StateNo = 1050 && AnimElemTime(4) > 0
trigger3 = StateNo = 1051 && AnimElemTime(4) > 0
trigger4 = StateNo = 1060 && AnimElemTime(8) > 0
trigger5 = StateNo = 1061 && AnimElemTime(5) > 0
trigger6 = StateNo = 1062 && AnimElemTime(5) > 0
trigger7 = StateNo = 1150 && AnimElemTime(11) > 0

;---------------------------------------------------------------------------
;上強攻撃（空中）
[State -1, 8B(Air)]
type = ChangeState
value = 1550
triggerall = Var(59) = 0
triggerall = Var(51) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "y"
trigger1 = Ctrl
trigger2 = StateNo = 1050 && AnimElemTime(4) > 0
trigger3 = StateNo = 1051 && AnimElemTime(4) > 0
trigger4 = StateNo = 1060 && AnimElemTime(8) > 0
trigger5 = StateNo = 1061 && AnimElemTime(5) > 0
trigger6 = StateNo = 1062 && AnimElemTime(5) > 0
trigger7 = StateNo = 1150 && AnimElemTime(11) > 0

;---------------------------------------------------------------------------
;横強攻撃（地上）
[State -1, 6B]
type = ChangeState
value = 1400
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command = "holdfwd"
trigger1 = Ctrl
trigger2 = StateNo = 1000 && AnimElemTime(4) > 0
trigger3 = StateNo = 1001 && AnimElemTime(4) > 0
trigger4 = StateNo = 1010 && AnimElemTime(8) > 0
trigger5 = StateNo = 1011 && AnimElemTime(5) > 0
trigger6 = StateNo = 1012 && AnimElemTime(5) > 0
trigger7 = StateNo = 1100 && AnimElemTime(11) > 0

;---------------------------------------------------------------------------
;横強攻撃（空中）
[State -1, 6B(Air)]
type = ChangeState
value = 1450
triggerall = Var(59) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "b"
triggerall = Command = "holdfwd"
trigger1 = Ctrl
trigger2 = StateNo = 1050 && AnimElemTime(4) > 0
trigger3 = StateNo = 1051 && AnimElemTime(4) > 0
trigger4 = StateNo = 1060 && AnimElemTime(8) > 0
trigger5 = StateNo = 1061 && AnimElemTime(5) > 0
trigger6 = StateNo = 1062 && AnimElemTime(5) > 0
trigger7 = StateNo = 1150 && AnimElemTime(11) > 0

;---------------------------------------------------------------------------
;下魔法攻撃（地上）
[State -1, 2Z]
type = ChangeState
value = 2100
triggerall = Var(59) = 0
triggerall = Var(3) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Power >= 2000
triggerall = Command = "z"
triggerall = Command = "holddown"
trigger1 = Ctrl
trigger2 = StateNo = 1000 && AnimElemTime(4) > 0
trigger3 = StateNo = 1001 && AnimElemTime(4) > 0
trigger4 = StateNo = 1010 && AnimElemTime(8) > 0
trigger5 = StateNo = 1011 && AnimElemTime(5) > 0
trigger6 = StateNo = 1012 && AnimElemTime(5) > 0
trigger7 = StateNo = 1100 && AnimElemTime(11) > 0
trigger8 = StateNo = 1400 && AnimElemTime(11) > 0

;---------------------------------------------------------------------------
;魔法攻撃（地上）
[State -1, Z]
type = ChangeState
value = 2000
triggerall = Var(59) = 0
triggerall = Var(3) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Power >= 1000
triggerall = Command = "z"
trigger1 = Ctrl
trigger2 = StateNo = 1000 && AnimElemTime(4) > 0
trigger3 = StateNo = 1001 && AnimElemTime(4) > 0
trigger4 = StateNo = 1010 && AnimElemTime(8) > 0
trigger5 = StateNo = 1011 && AnimElemTime(5) > 0
trigger6 = StateNo = 1012 && AnimElemTime(5) > 0
trigger7 = StateNo = 1100 && AnimElemTime(11) > 0
trigger8 = StateNo = 1400 && AnimElemTime(11) > 0

;---------------------------------------------------------------------------
;魔法攻撃（空中）
[State -1, Z(Air)]
type = ChangeState
value = 2050
triggerall = Var(59) = 0
triggerall = Var(3) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Power >= 1000
triggerall = Command = "z"
trigger1  = Ctrl
trigger2  = StateNo = 1050 && AnimElemTime(4) > 0
trigger3  = StateNo = 1051 && AnimElemTime(4) > 0
trigger4  = StateNo = 1060 && AnimElemTime(8) > 0
trigger5  = StateNo = 1061 && AnimElemTime(5) > 0
trigger6  = StateNo = 1062 && AnimElemTime(5) > 0
trigger7  = StateNo = 1150 && AnimElemTime(11) > 0
trigger8  = StateNo = 1201 && AnimElemTime(1) > 0
trigger9  = StateNo = 1300 && AnimElemTime(8) > 0
trigger10 = StateNo = 1450 && AnimElemTime(11) > 0
trigger11 = StateNo = 1500 && AnimElemTime(7) > 0
trigger12 = StateNo = 1550 && AnimElemTime(7) > 0

;===========================================================================
;---------------------------------------------------------------------------
;ジャンプ
[State -1, Jump]
type = ChangeState
value = 41
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Ctrl
trigger1 = Var(51) = 0
trigger1 = Var(5) = 1
trigger2 = Var(51) = 1
trigger2 = Command = "c"

;---------------------------------------------------------------------------
;空中ジャンプ
[State -1, Air Jump]
type = ChangeState
value = 45
triggerall = Var(59) = 0
triggerall = StateType = A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Ctrl || StateNo = 53
triggerall = Var(1) < 1
trigger1 = Var(51) = 0
trigger1 = Var(5) = 1
trigger2 = Var(51) = 1
trigger2 = Command = "c"

;---------------------------------------------------------------------------
;ダッシュ
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "FF"
trigger1 = Ctrl

;---------------------------------------------------------------------------
;後退ダッシュ
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = Var(59) = 0
triggerall = StateType != A
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "BB"
trigger1 = Ctrl

;---------------------------------------------------------------------------
;ガード
[State -1, Guard]
Type = ChangeState
Value = 120
triggerall = Var(59) = 0
triggerall = Alive
triggerall = RoundState = 2
triggerall = !IsHelper
triggerall = Command = "holdx"
trigger1 = Ctrl || StateNo = 53
trigger1 = Var(51) = 1
trigger1 = Var(52) = 1

;===========================================================================
